Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QProgressDialog

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.core.QObject
                      com.trolltech.qt.gui.QWidget
                          com.trolltech.qt.gui.QDialog
                              com.trolltech.qt.gui.QProgressDialog

All Implemented Interfaces:
  QPaintDeviceInterface, QtJambiInterface

    public class QProgressDialog

extends QDialog

The `QProgressDialog` class provides feedback on the progress of a slow operation. A progress dialog is used to give the user an indication of how long an operation is going to take, and to demonstrate that the application has not frozen. It can also give the user an opportunity to abort the operation.

A common problem with progress dialogs is that it is difficult to know when to use them; operations take different amounts of time on different hardware. `QProgressDialog` offers a solution to this problem: it estimates the time the operation will take (based on time for steps), and only shows itself if that estimate is beyond `minimumDuration()` (4 seconds by default).

Use `setMinimum()` and `setMaximum()` or the constructor to set the number of "steps" in the operation and call `setValue()` as the operation progresses. The number of steps can be chosen arbitrarily. It can be the number of files copied, the number of bytes received, the number of iterations through the main loop of your algorithm, or some other suitable unit. Progress starts at the value set by `setMinimum()`, and the progress dialog shows that the operation has finished when you call `setValue()` with the value set by `setMaximum()` as its argument.

The dialog automatically resets and hides itself at the end of the operation. Use `setAutoReset()` and `setAutoClose()` to change this behavior.

There are two ways of using `QProgressDialog`: modal and modeless.

Compared to a modeless `QProgressDialog`, a modal `QProgressDialog` is simpler to use for the programmer. Do the operation in a loop, call `setValue()` at intervals, and check for cancellation with `wasCanceled()`. For example:

            QProgressDialog progress =
                new QProgressDialog("Copying files...", "Abort Copy", 0, numFiles, this);
            progress.setWindowModality(Qt.WindowModality.WindowModal);

            for (int i = 0; i < numFiles; i++) {
                progress.setValue(i);

                if (progress.wasCanceled())
                    break;
                //... copy one file
            }
            progress.setValue(numFiles);

A modeless progress dialog is suitable for operations that take place in the background, where the user is able to interact with the application. Such operations are typically based on `QTimer` (or `QObject::timerEvent()`), `QSocketNotifier`, or QUrlOperator; or performed in a separate thread. A `QProgressBar` in the status bar of your main window is often an alternative to a modeless progress dialog.

You need to have an event loop to be running, connect the `canceled()` signal to a slot that stops the operation, and call `setValue()` at intervals. For example:

        // Operationructor
        public Operation(QObject parent)
        {
            super(parent);

            pd = new QProgressDialog("Operation in progress.", "Cancel", 0, 100);
            pd.canceled.connect(this, "cancel()");

            t = new QTimer(this);
            t.timeout.connect(this, "perform()");

            t.start(0);
        }

        void perform()
        {
            pd.setValue(steps);
            //... perform one percent of the operation
            steps++;
            if (steps > pd.maximum())
                t.stop();
        }

        void cancel()
        {
            t.stop();
            //... cleanup
        }

In both modes the progress dialog may be customized by replacing the child widgets with custom widgets by using `setLabel()`, `setBar()`, and `setCancelButton()`. The functions `setLabelText()` and `setCancelButtonText()` set the texts shown.

See also:
  `QDialog`, `QProgressBar`, GUI Design Handbook: Progress Indicator, Find Files Example, and Pixelator Example.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QDialog
`QDialog.DialogCode`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QWidget
`QWidget.RenderFlag, QWidget.RenderFlags`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary
`QSignalEmitter.Signal0` | `canceled` This signal is emitted when the cancel button is clicked.

Fields inherited from class com.trolltech.qt.gui.QDialog
`accepted, finished, rejected`

Fields inherited from class com.trolltech.qt.gui.QWidget
`customContextMenuRequested`

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QProgressDialog()` Constructs a progress dialog.
`QProgressDialog(QWidget parent)` Constructs a progress dialog.
`QProgressDialog(QWidget parent, Qt.WindowFlags f)` Constructs a progress dialog.
`QProgressDialog(QWidget parent, Qt.WindowType[] f)` Constructs a progress dialog.
`QProgressDialog(java.lang.String labelText, java.lang.String cancelButtonText, int minimum, int maximum)` Constructs a progress dialog.
`QProgressDialog(java.lang.String labelText, java.lang.String cancelButtonText, int minimum, int maximum, QWidget parent)` Constructs a progress dialog.
`QProgressDialog(java.lang.String labelText, java.lang.String cancelButtonText, int minimum, int maximum, QWidget parent, Qt.WindowFlags f)` Constructs a progress dialog.
`QProgressDialog(java.lang.String labelText, java.lang.String cancelButtonText, int minimum, int maximum, QWidget parent, Qt.WindowType[] f)` Constructs a progress dialog.

Method Summary
`boolean` | `autoClose()` This property holds whether the dialog gets hidden by `reset()`.
`boolean` | `autoReset()` This property holds whether the progress dialog calls `reset()` as soon as progress() equals totalSteps().
`void` | `cancel()` Resets the progress dialog.
`protected void` | `forceShow()` Shows the dialog if it is still hidden after the algorithm has been started and `minimumDuration` milliseconds have passed.
`java.lang.String` | `labelText()` This property holds the label's text.
`int` | `maximum()` This property holds the highest value represented by the progress bar.
`int` | `minimum()` This property holds the lowest value represented by the progress bar.
`int` | `minimumDuration()` This property holds the time that must pass before the dialog appears.
`void` | `reset()` Resets the progress dialog.
`void` | `setAutoClose(boolean b)` This property holds whether the dialog gets hidden by `reset()`.
`void` | `setAutoReset(boolean b)` This property holds whether the progress dialog calls `reset()` as soon as progress() equals totalSteps().
`void` | `setBar(QProgressBar bar)` Sets the progress bar widget to `bar`.
`void` | `setCancelButton(QPushButton button)` Sets the cancel button to the push button, `cancelButton`.
`void` | `setCancelButtonText(java.lang.String arg__1)` Sets the cancel button's text to `cancelButtonText`.
`void` | `setLabel(QLabel label)` Sets the label to `label`.
`void` | `setLabelText(java.lang.String arg__1)` This property holds the label's text.
`void` | `setMaximum(int maximum)` This property holds the highest value represented by the progress bar.
`void` | `setMinimum(int minimum)` This property holds the lowest value represented by the progress bar.
`void` | `setMinimumDuration(int ms)` This property holds the time that must pass before the dialog appears.
`void` | `setRange(int minimum, int maximum)` Sets the progress dialog's minimum and maximum values to `minimum` and `maximum`, respectively.
`void` | `setValue(int progress)` This property holds the current amount of progress made.
`int` | `value()` This property holds the current amount of progress made.
`boolean` | `wasCanceled()` This property holds whether the dialog was canceled.

Methods inherited from class com.trolltech.qt.gui.QDialog
`accept, done, exec, isSizeGripEnabled, reject, result, setModal, setResult, setSizeGripEnabled`

Methods inherited from class com.trolltech.qt.gui.QWidget
`acceptDrops, accessibleDescription, accessibleName, actionEvent, actions, activateWindow, addAction, addActions, adjustSize, autoFillBackground, backgroundRole, baseSize, changeEvent, childAt, childAt, childrenRect, childrenRegion, clearFocus, clearMask, close, closeEvent, contentsRect, contextMenuEvent, contextMenuPolicy, cursor, depth, destroy, destroy, destroy, dragEnterEvent, dragLeaveEvent, dragMoveEvent, dropEvent, effectiveWinId, ensurePolished, enterEvent, focusInEvent, focusNextChild, focusNextPrevChild, focusOutEvent, focusPolicy, focusPreviousChild, focusProxy, focusWidget, font, fontInfo, fontMetrics, foregroundRole, frameGeometry, frameSize, geometry, getContentsMargins, grabKeyboard, grabMouse, grabMouse, grabShortcut, grabShortcut, hasFocus, hasMouseTracking, height, heightForWidth, heightMM, hide, hideEvent, inputContext, inputMethodEvent, inputMethodQuery, insertAction, insertActions, isActiveWindow, isAncestorOf, isEnabled, isEnabledTo, isFullScreen, isHidden, isMaximized, isMinimized, isModal, isVisible, isVisibleTo, isWindow, isWindowModified, keyboardGrabber, keyPressEvent, keyReleaseEvent, languageChange, layout, layoutDirection, leaveEvent, locale, logicalDpiX, logicalDpiY, lower, mapFrom, mapFromGlobal, mapFromParent, mapTo, mapToGlobal, mapToParent, mask, maximumHeight, maximumSize, maximumWidth, metric, minimumHeight, minimumSize, minimumSizeHint, minimumWidth, mouseDoubleClickEvent, mouseGrabber, mouseMoveEvent, mousePressEvent, mouseReleaseEvent, move, move, moveEvent, nativeParentWidget, nextInFocusChain, normalGeometry, numColors, overrideWindowFlags, overrideWindowFlags, paintEngine, paintEvent, paintingActive, palette, parentWidget, physicalDpiX, physicalDpiY, pos, raise, rect, releaseKeyboard, releaseMouse, releaseShortcut, removeAction, render, render, render, render, render, render, render, render, render, repaint, repaint, repaint, repaint, resetInputContext, resize, resize, resizeEvent, restoreGeometry, saveGeometry, scroll, scroll, setAcceptDrops, setAccessibleDescription, setAccessibleName, setAttribute, setAttribute, setAutoFillBackground, setBackgroundRole, setBaseSize, setBaseSize, setContentsMargins, setContentsMargins, setContextMenuPolicy, setCursor, setDisabled, setEnabled, setFixedHeight, setFixedSize, setFixedSize, setFixedWidth, setFocus, setFocus, setFocusPolicy, setFocusProxy, setFont, setForegroundRole, setGeometry, setGeometry, setHidden, setInputContext, setLayout, setLayoutDirection, setLocale, setMask, setMask, setMaximumHeight, setMaximumSize, setMaximumSize, setMaximumWidth, setMinimumHeight, setMinimumSize, setMinimumSize, setMinimumWidth, setMouseTracking, setPalette, setParent, setParent, setParent, setShortcutAutoRepeat, setShortcutAutoRepeat, setShortcutEnabled, setShortcutEnabled, setSizeIncrement, setSizeIncrement, setSizePolicy, setSizePolicy, setStatusTip, setStyle, setStyleSheet, setTabOrder, setToolTip, setUpdatesEnabled, setVisible, setWhatsThis, setWindowFilePath, setWindowFlags, setWindowFlags, setWindowIcon, setWindowIconText, setWindowModality, setWindowModified, setWindowOpacity, setWindowRole, setWindowState, setWindowState, setWindowTitle, show, showEvent, showFullScreen, showMaximized, showMinimized, showNormal, size, sizeHint, sizeIncrement, sizePolicy, stackUnder, statusTip, style, styleSheet, tabletEvent, testAttribute, toolTip, underMouse, unsetCursor, unsetLayoutDirection, unsetLocale, update, update, update, update, updateGeometry, updateMicroFocus, updatesEnabled, visibleRegion, whatsThis, wheelEvent, width, widthMM, window, windowFilePath, windowFlags, windowIcon, windowIconText, windowModality, windowOpacity, windowRole, windowState, windowTitle, windowType, winId, x, y`

Methods inherited from class com.trolltech.qt.core.QObject
`childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, indexOfProperty, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, properties, property, removeEventFilter, setObjectName, setParent, setProperty, startTimer, timerEvent, toString, userProperty`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Field Detail

### canceled

    public final QSignalEmitter.Signal0 canceled

  This signal is emitted when the cancel button is clicked. It is connected to the `cancel()` slot by default.

See also:
  `wasCanceled()`.

Constructor Detail

### QProgressDialog

    public QProgressDialog(QWidget parent,
                           Qt.WindowType[] f)

  Constructs a progress dialog.

  Default settings:

  - The label text is empty.
  - The cancel button text is (translated) "Cancel".
  - minimum is 0;
  - maximum is 100
  The `parent` argument is dialog's parent widget. The widget flags, `f`, are passed to the QDialog::QDialog() constructor.

See also:
  `setLabelText()`, `setCancelButtonText()`, `setCancelButton()`, `setMinimum()`, and `setMaximum()`.

### QProgressDialog

    public QProgressDialog(QWidget parent)

  Constructs a progress dialog.

  Default settings:

  - The label text is empty.
  - The cancel button text is (translated) "Cancel".
  - minimum is 0;
  - maximum is 100
  The `parent` argument is dialog's parent widget. The widget flags, `f`, are passed to the QDialog::QDialog() constructor.

See also:
  `setLabelText()`, `setCancelButtonText()`, `setCancelButton()`, `setMinimum()`, and `setMaximum()`.

### QProgressDialog

    public QProgressDialog()

  Constructs a progress dialog.

  Default settings:

  - The label text is empty.
  - The cancel button text is (translated) "Cancel".
  - minimum is 0;
  - maximum is 100
  The `parent` argument is dialog's parent widget. The widget flags, `f`, are passed to the QDialog::QDialog() constructor.

See also:
  `setLabelText()`, `setCancelButtonText()`, `setCancelButton()`, `setMinimum()`, and `setMaximum()`.

### QProgressDialog

    public QProgressDialog(QWidget parent,
                           Qt.WindowFlags f)

  Constructs a progress dialog.

  Default settings:

  - The label text is empty.
  - The cancel button text is (translated) "Cancel".
  - minimum is 0;
  - maximum is 100
  The `parent` argument is dialog's parent widget. The widget flags, `f`, are passed to the QDialog::QDialog() constructor.

See also:
  `setLabelText()`, `setCancelButtonText()`, `setCancelButton()`, `setMinimum()`, and `setMaximum()`.

### QProgressDialog

    public QProgressDialog(java.lang.String labelText,
                           java.lang.String cancelButtonText,
                           int minimum,
                           int maximum,
                           QWidget parent,
                           Qt.WindowType[] f)

  Constructs a progress dialog.

  The `labelText` is the text used to remind the user what is progressing.

  The `cancelButtonText` is the text to display on the cancel button, or 0 if no cancel button is to be shown.

  The `minimum` and `maximum` is the number of steps in the operation for which this progress dialog shows progress. For example, if the operation is to examine 50 files, this value minimum value would be 0, and the maximum would be 50. Before examining the first file, call setValue(0). As each file is processed call setValue(1), setValue(2), etc., finally calling setValue(50) after examining the last file.

  The `parent` argument is the dialog's parent widget. The parent, `parent`, and widget flags, `f`, are passed to the QDialog::QDialog() constructor.

See also:
  `setLabelText()`, `setLabel()`, `setCancelButtonText()`, `setCancelButton()`, `setMinimum()`, and `setMaximum()`.

### QProgressDialog

    public QProgressDialog(java.lang.String labelText,
                           java.lang.String cancelButtonText,
                           int minimum,
                           int maximum,
                           QWidget parent)

  Constructs a progress dialog.

  The `labelText` is the text used to remind the user what is progressing.

  The `cancelButtonText` is the text to display on the cancel button, or 0 if no cancel button is to be shown.

  The `minimum` and `maximum` is the number of steps in the operation for which this progress dialog shows progress. For example, if the operation is to examine 50 files, this value minimum value would be 0, and the maximum would be 50. Before examining the first file, call setValue(0). As each file is processed call setValue(1), setValue(2), etc., finally calling setValue(50) after examining the last file.

  The `parent` argument is the dialog's parent widget. The parent, `parent`, and widget flags, `f`, are passed to the QDialog::QDialog() constructor.

See also:
  `setLabelText()`, `setLabel()`, `setCancelButtonText()`, `setCancelButton()`, `setMinimum()`, and `setMaximum()`.

### QProgressDialog

    public QProgressDialog(java.lang.String labelText,
                           java.lang.String cancelButtonText,
                           int minimum,
                           int maximum)

  Constructs a progress dialog.

  The `labelText` is the text used to remind the user what is progressing.

  The `cancelButtonText` is the text to display on the cancel button, or 0 if no cancel button is to be shown.

  The `minimum` and `maximum` is the number of steps in the operation for which this progress dialog shows progress. For example, if the operation is to examine 50 files, this value minimum value would be 0, and the maximum would be 50. Before examining the first file, call setValue(0). As each file is processed call setValue(1), setValue(2), etc., finally calling setValue(50) after examining the last file.

  The `parent` argument is the dialog's parent widget. The parent, `parent`, and widget flags, `f`, are passed to the QDialog::QDialog() constructor.

See also:
  `setLabelText()`, `setLabel()`, `setCancelButtonText()`, `setCancelButton()`, `setMinimum()`, and `setMaximum()`.

### QProgressDialog

    public QProgressDialog(java.lang.String labelText,
                           java.lang.String cancelButtonText,
                           int minimum,
                           int maximum,
                           QWidget parent,
                           Qt.WindowFlags f)

  Constructs a progress dialog.

  The `labelText` is the text used to remind the user what is progressing.

  The `cancelButtonText` is the text to display on the cancel button, or 0 if no cancel button is to be shown.

  The `minimum` and `maximum` is the number of steps in the operation for which this progress dialog shows progress. For example, if the operation is to examine 50 files, this value minimum value would be 0, and the maximum would be 50. Before examining the first file, call setValue(0). As each file is processed call setValue(1), setValue(2), etc., finally calling setValue(50) after examining the last file.

  The `parent` argument is the dialog's parent widget. The parent, `parent`, and widget flags, `f`, are passed to the QDialog::QDialog() constructor.

See also:
  `setLabelText()`, `setLabel()`, `setCancelButtonText()`, `setCancelButton()`, `setMinimum()`, and `setMaximum()`.

Method Detail

### autoClose

    public final boolean autoClose()

  This property holds whether the dialog gets hidden by `reset()`. The default is true.

See also:
  `setAutoReset()`.

### autoReset

    public final boolean autoReset()

  This property holds whether the progress dialog calls `reset()` as soon as progress() equals totalSteps(). The default is true.

See also:
  `setAutoClose()`.

### cancel

    public final void cancel()

  Resets the progress dialog. `wasCanceled()` becomes true until the progress dialog is reset. The progress dialog becomes hidden.

### forceShow

    protected final void forceShow()

  Shows the dialog if it is still hidden after the algorithm has been started and `minimumDuration` milliseconds have passed.

See also:
  `setMinimumDuration()`.

### labelText

    public final java.lang.String labelText()

  This property holds the label's text. The default text is an empty string.

### maximum

    public final int maximum()

  This property holds the highest value represented by the progress bar. The default is 0.

See also:
  `minimum`, and `setRange()`.

### minimum

    public final int minimum()

  This property holds the lowest value represented by the progress bar. The default is 0.

See also:
  `maximum`, and `setRange()`.

### minimumDuration

    public final int minimumDuration()

  This property holds the time that must pass before the dialog appears. If the expected duration of the task is less than the `minimumDuration`, the dialog will not appear at all. This prevents the dialog popping up for tasks that are quickly over. For tasks that are expected to exceed the `minimumDuration`, the dialog will pop up after the `minimumDuration` time or as soon as any progress is set.

  If set to 0, the dialog is always shown as soon as any progress is set. The default is 4000 milliseconds.

### reset

    public final void reset()

  Resets the progress dialog. The progress dialog becomes hidden if `autoClose()` is true.

See also:
  `setAutoClose()`, and `setAutoReset()`.

### setAutoClose

    public final void setAutoClose(boolean b)

  This property holds whether the dialog gets hidden by `reset()`. The default is true.

See also:
  `setAutoReset()`.

### setAutoReset

    public final void setAutoReset(boolean b)

  This property holds whether the progress dialog calls `reset()` as soon as progress() equals totalSteps(). The default is true.

See also:
  `setAutoClose()`.

### setBar

    public final void setBar(QProgressBar bar)

  Sets the progress bar widget to `bar`. The progress dialog resizes to fit. The progress dialog takes ownership of the progress `bar` which will be deleted when necessary, so do not use a progress bar allocated on the stack.

### setCancelButton

    public final void setCancelButton(QPushButton button)

  Sets the cancel button to the push button, `cancelButton`. The progress dialog takes ownership of this button which will be deleted when necessary, so do not pass the address of an object that is on the stack, i.e. use new() to create the button.

See also:
  `setCancelButtonText()`.

### setCancelButtonText

    public final void setCancelButtonText(java.lang.String arg__1)

  Sets the cancel button's text to `cancelButtonText`.

See also:
  `setCancelButton()`.

### setLabel

    public final void setLabel(QLabel label)

  Sets the label to `label`. The progress dialog resizes to fit. The label becomes owned by the progress dialog and will be deleted when necessary, so do not pass the address of an object on the stack.

See also:
  `setLabelText()`.

### setLabelText

    public final void setLabelText(java.lang.String arg__1)

  This property holds the label's text. The default text is an empty string.

### setMaximum

    public final void setMaximum(int maximum)

  This property holds the highest value represented by the progress bar. The default is 0.

See also:
  `minimum`, and `setRange()`.

### setMinimum

    public final void setMinimum(int minimum)

  This property holds the lowest value represented by the progress bar. The default is 0.

See also:
  `maximum`, and `setRange()`.

### setMinimumDuration

    public final void setMinimumDuration(int ms)

  This property holds the time that must pass before the dialog appears. If the expected duration of the task is less than the `minimumDuration`, the dialog will not appear at all. This prevents the dialog popping up for tasks that are quickly over. For tasks that are expected to exceed the `minimumDuration`, the dialog will pop up after the `minimumDuration` time or as soon as any progress is set.

  If set to 0, the dialog is always shown as soon as any progress is set. The default is 4000 milliseconds.

### setRange

    public final void setRange(int minimum,
                               int maximum)

  Sets the progress dialog's minimum and maximum values to `minimum` and `maximum`, respectively.

  If `maximum` is smaller than `minimum`, `minimum` becomes the only legal value.

  If the current value falls outside the new range, the progress dialog is reset with `reset()`.

See also:
  `minimum`, and `maximum`.

### setValue

    public final void setValue(int progress)

  This property holds the current amount of progress made. For the progress dialog to work as expected, you should initially set this property to 0 and finally set it to `QProgressDialog::maximum()`; you can call `setValue()` any number of times in-between.

  Warning: If the progress dialog is modal (see QProgressDialog::QProgressDialog()), this function calls `QApplication::processEvents()`, so take care that this does not cause undesirable re-entrancy in your code. For example, don't use a `QProgressDialog` inside a `paintEvent()`!

See also:
  `minimum`, and `maximum`.

### value

    public final int value()

  This property holds the current amount of progress made. For the progress dialog to work as expected, you should initially set this property to 0 and finally set it to `QProgressDialog::maximum()`; you can call `setValue()` any number of times in-between.

  Warning: If the progress dialog is modal (see QProgressDialog::QProgressDialog()), this function calls `QApplication::processEvents()`, so take care that this does not cause undesirable re-entrancy in your code. For example, don't use a `QProgressDialog` inside a `paintEvent()`!

See also:
  `minimum`, and `maximum`.

### wasCanceled

    public final boolean wasCanceled()

  This property holds whether the dialog was canceled.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD